* EXPORTSV.PRG

* Description:  Class Browser add-in to extend the functionality
*   of the View Class Definition (Export) button to prompt a SaveAs()
*   dialog to output the code to a new or existing file.
*   After installing, just right click the mouse on the Export button.

*-- To install add-in, execute:
*   _oBrowser.AddIn('Export SaveAs','exportsv','cmdExport.RightClick')
*   The Class Browser needs to open.  'exportsv' can either contain a
*   fullpath file name or the path that exportsv.prg is in should be
*   in the FoxPro path.

*-- To uninstall add-in, execute:
*   _oBrowser.AddIn('Export SaveAs',.NULL.)

*-- Notes:
*   If it is preferred to simply override the existing Click rather
*   than using the right click, change the above install method
*   parameter passed to AddIn() to 'cmdExport.Click' and then add
*   oSource.lNoDefault=.T. to the program below.



LPARAMETERS oSource
LOCAL lcCode,lcFileName,lnLastSelect

*-- Execute export class method.
*-- Note:  If you don't want the code to display in the window,
*          don't pass the .T. parameter.
lcCode=oSource.ExportClass(.T.)

IF EMPTY(lcCode)	&& No code was generated
	RETURN
ENDIF

*-- Get file to save the generated class code to.
lcFileName=GETFILE('prg')
IF EMPTY(lcFileName)	&& No file was selected or entered.
	RETURN
ENDIF

*-- Create a cursor to save the generated string to a file.
lnLastSelect=SELECT()
IF USED('tempexport')
	USE IN tempexport
ENDIF
CREATE CURSOR tempexport (mCode M)
INSERT INTO tempexport (mCode) ;
		VALUES (lcCode)
COPY MEMO mCode TO (lcFileName)
IF USED('tempexport')
	USE IN tempexport
ENDIF
SELECT (lnLastSelect)
RETURN
